dirst = System.currentDirectory()
dofile("data/data.lua")
System.setHigh()

-- Couleur

blanc = Color.new(255,255,255)
noir = Color.new(0,0,0)
bleu = Color.new(0,0,255)
vert = Color.new(69,158,44)
rouge = Color.new(255,0,0)
jaune = Color.new(255,255,0)
orange = Color.new(255,150,0)
violet = Color.new(140,0,255)


lect=0
n_mp3=0
sfichier={}
nommp3={}
selecteur=1
System.createDirectory("ms0:/PSP/MUSIC")
fichiers = System.listDirectory("ms0:/PSP/MUSIC")
n_sfichiers = table.getn(fichiers)
for i=3, n_sfichiers do
longueur = string.len(fichiers[i].name)
nom = string.sub(fichiers[i].name, longueur-3)
if string.lower(nom) == ".mp3"  then
n_mp3 = n_mp3 + 1 
nommp3[n_mp3] = {name=fichiers[i].name}
end
end
selectmax = n_mp3
done = false
intro = Image.load("images/intro.png")
principal = Image.load("images/principal.png")
clavier = Image.load("images/clavier.png")
clavier1 = Image.load("images/clavier1.png")
clavier2 = Image.load("images/clavier2.png")
clavier3 = Image.load("images/clavier3.png")
aide_test_go = Image.load("images/aide_test_go.png")
curseur=Image.createEmpty(1,32)
curseur:clear(couleur_select)
if System.cfwVersion() == "1.50" then
   screen:print(120,2,"/!\\ AVERTISSEMENT /!\\",rouge)
   screen:print(1,71,"    Attention Vous Avez Lance LuaProg 1.0 En Kernel 1.50",rouge)
   screen:print(1,81,"    Certaines Fonctions Ne Seront Pas Disponibles",rouge)
   screen:print(1,91,"    Car Elles Necessites Un Kernel Supperieur au 2.00",rouge)
   screen.flip()
   System.sleep(10000)
end
chrono = Timer.new()
chrono:start()
while done == false do
currentTime = chrono:time()
pad = Controls.read()
screen:clear()
screen:blit(0,0,intro)
if currentTime > 1000 then
   intro = nil
   collectgarbage()
   dofile("principal.lua")
end
screen.waitVblankStart()
screen.flip()
oldpad = pad
end
